Bug 135039 - Freeze pasting with track changes enabled
Summary: Freeze pasting with track changes enabled
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.1 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, regression
Depends on:
Blocks: Track-Changes
  Show dependency treegraph
 
Reported: 2020-07-22 10:10 UTC by Telesto
Modified: 2021-06-27 09:10 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file (4.61 MB, application/vnd.oasis.opendocument.text)
2020-07-22 10:10 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-07-22 10:10:14 UTC
Description:
Freeze pasting with track changes enabled

Steps to Reproduce:
1. Open the attached file
2. CTRL+A
3. CTRL+C
4. CTRL+N
5. Enable Track Changes
6. CTRL+V -> Freeze

Actual Results:
Freeze

Expected Results:
No freeze


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 52820b52b3bca45e2db527d1cc5f4488b2e0b9d0
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2020-07-22 10:10:35 UTC
Created attachment 163399 [details]
Example file
Comment 2 Telesto 2020-07-22 10:11:07 UTC
Based on attachment 147292 [details]
Comment 3 Telesto 2020-07-22 10:12:23 UTC
No repro with
Version: 6.0.5.0.0+
Build ID: 15ea1cda0b3c37ff944ad9a239b7ed453e8b0591
CPU threads: 4; OS: Windows 6.3; UI render: default; 
Locale: nl-NL (nl_NL); Calc: CL
Comment 4 Telesto 2020-07-22 10:14:20 UTC
Also in 
6.3 (after some scrolling)

not in 6.2
Comment 5 Xisco Faulí 2020-08-06 09:32:52 UTC
Not reproducible in

Version: 7.1.0.0.alpha0+
Build ID: 76c40b82e6a44539cd43f326c00246e759449571
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

please, try with a recent master build
Comment 6 Telesto 2020-08-06 09:37:48 UTC
1. Open the attached file
2. CTRL+A
3. CTRL+C
4. CTRL+N
5. Edit -> Track Changes -> record (in the new document)
6. CTRL+V
7. Scroll up

Version: 7.1.0.0.alpha0+ (x64)
Build ID: <buildversion>
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: ru-RU (nl_NL); UI: en-US
Calc: CL

Build of yesterday
Comment 8 Buovjaga 2021-02-11 08:43:26 UTC
Telesto: I can repro with 7.1 Windows & Linux, but not with 7.2 on Windows (my Linux master build is debug, so not valid for testing this). Please re-test and hopefully this can be closed.
Comment 9 Telesto 2021-02-11 12:06:22 UTC
Still present for me
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 3ed9bba283a6a67864c0928186e277240be0d9ba
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL

Show changes ON at paste [did try without]. Paste goes, fine but slightly scroll up.. and ...
Comment 10 Abhishek 2021-02-20 20:02:47 UTC
I can confirm that this issue is reproducible with version 7.2 on Windows 10 as well by following the steps to reproduce given in the bug.
Comment 11 NISZ LibreOffice Team 2021-06-27 09:10:02 UTC
I can no longer reproduce this issue in 7.2 since:

https://git.libreoffice.org/core/+/eb85de8e6b61fb3fcb6c03ae0145f7fe5478bccf

author	Michael Stahl <michael.stahl@allotropia.de>	Tue Apr 13 20:13:51 2021 +0200
committer	Michael Stahl <michael.stahl@allotropia.de>	Mon Apr 19 17:22:06 2021 +0200

sw: layout: if fly's anchor moves forward, move fly off SwPageFrame

Thanks Michael for making this go away :)

Side note: copy-pasting all those linked and nested frames (copy at least two of pages 2-8 to see) into a new document makes a mess even in current master, so that's something that might be worth investigating further.